'' +--------------------------------------------------------------------------+
'' | SphinxOS   An Operating System for the Propeller Chip                    |
'' +--------------------------------------------------------------------------+
'' |                     HARDWARE DEFINITIONS                                 |
'' +--------------------------------------------------------------------------+
'' |  License            MIT License                                          |
'' +--------------------------------------------------------------------------+
'' RR20100216   Seperate file: by Cluso99


CON
'select the hardware option...

{
'Hybrid
'========
  _xinfreq = 6_000_000        
  _clkfreq = 96_000_000        
  _clkmode = xtal1 + pll16x

  rxPin  = 31                                           'serial
  txPin  = 30
  baud   = 115200
  serPins = _clkfreq / baud << 16 | txPin << 8 | rxPin

  kdPin  = 12                                           'PS2 keyboard 
  kcPin  = 13
  ktime  = 0
  kbdPar = ktime << 16 | kcPin << 8 | kdpin

  tvPina = 24                                           'TV
  tvPinb = 25
  tvPinc = 26
  tvPind = 27
  tvPins = tvPind << 24 | tvPinc << 16 | tvPinb << 8 | tvPina 

  spiDO  = 8                                            'SD pins
  spiClk = 9
  spiDI  = 10
  spiCS  = 11
  sdPins = spiCS << 24 | spiDI << 16 | spiClk << 8 | spiDO
}

{
'Hydra
'========
  _xinfreq = 10_000_000        
  _clkfreq = 80_000_000        
  _clkmode = xtal1 + pll8x

  rxPin  = 31                                           'serial
  txPin  = 30
  baud   = 115200
  serPins = _clkfreq / baud << 16 | txPin << 8 | rxPin

  kdPin  = 13                                           'PS2 keyboard 
  kcPin  = 12
  ktime  = 0
  kbdPar = ktime << 16 | kcPin << 8 | kdpin

  tvPina = 24                                           'TV
  tvPinb = 25
  tvPinc = 26
  tvPind = 27
  tvPins = tvPind << 24 | tvPinc << 16 | tvPinb << 8 | tvPina 

  spiDO  = 16                                           'SD pins
  spiClk = 17
  spiDI  = 18
  spiCS  = 19
  sdPins = spiCS << 24 | spiDI << 16 | spiClk << 8 | spiDO
}


{
'Demo/proto
'==========
  _xinfreq = 5_000_000
  _clkfreq = 80_000_000        
  _clkmode = xtal1 + pll16x

  rxPin  = 31                                           'serial
  txPin  = 30
  baud   = 115200
  serPins = _clkfreq / baud << 16 | txPin << 8 | rxPin

  kdPin  = 26                                           'PS2 keyboard 
  kcPin  = 27
  ktime  = 0
  kbdPar = ktime << 16 | kcPin << 8 | kdpin

  tvPina = 12                                           'TV
  tvPinb = 13
  tvPinc = 14
  tvPind = 15
  tvPins = tvPind << 24 | tvPinc << 16 | tvPinb << 8 | tvPina 

  spiDO  = 0                                            'SD pins
  spiClk = 1
  spiDI  = 2
  spiCS  = 3
  sdPins = spiCS << 24 | spiDI << 16 | spiClk << 8 | spiDO
}

'TriBlade
'========
'  _xinfreq = 5_000_000        
'  _clkfreq = 80_000_000        
'  _xinfreq = 6_000_000        
  _clkfreq = 96_000_000        
  _clkmode = xtal1 + pll16x

  rxPin  = 31                                           'serial
  txPin  = 30
  baud   = 115200
  serPins = _clkfreq / baud << 16 | txPin << 8 | rxPin

  kdPin  = 26                                           '1-pin PS2 keyboard 
  kcPin  = -1 & $FF                                     'not used
  ktime  = 6300
  kbdPar = ktime << 16 | kcPin << 8 | kdpin

  tvPina = 12                                           '1-pin TV
  tvPinb = -1 & $FF                                     'not used
  tvPinc = -1 & $FF                                     'not used
  tvPind = -1 & $FF
  tvPins = tvPind << 24 | tvPinc << 16 | tvPinb << 8 | tvPina 

  spiDO  = 9                                            'SD pins
  spiClk = 28
  spiDI  = 8
  spiCS  = 14
  sdPins = spiCS << 24 | spiDI << 16 | spiClk << 8 | spiDO


{
'RamBlade
'========
  _xinfreq = 6_500_000        
  _clkfreq = 104_000_000        
  _clkmode = xtal1 + pll16x

  rxPin  = 23                                           'serial
  txPin  = 22
  baud   = 115200
  serPins = _clkfreq / baud << 16 | txPin << 8 | rxPin

  kdPin  = 23                                           '1-pin PS2 keyboard 
  kcPin  = -1 & $FF                                     'not used
  ktime  = 6300
  kbdPar = ktime << 16 | kcPin << 8 | kdpin

  tvPina = 22                                           '1-pin TV
  tvPinb = -1 & $FF                                     'not used
  tvPinc = -1 & $FF                                     'not used
  tvPind = -1 & $FF
  tvPins = tvPind << 24 | tvPinc << 16 | tvPinb << 8 | tvPina 

  spiDO  = 24                                           'SD pins
  spiClk = 26
  spiDI  = 25
  spiCS  = 19
  sdPins = spiCS << 24 | spiDI << 16 | spiClk << 8 | spiDO
}

PUB dummy